矢幡です。

お陰様で、メールのSMTP認証がようやく通りました。
結論からいえば、失敗した理由は、
1) Rubyのバージョンが1.8.2と古かった。
2) 現在のsmpt.rbでは、enable_sslのところが未定義であった。
の2点でしょうか。
すなわち、ruby 1.8.4 (2005-12-24) [i386-mswin32]に変更しただけでは、
enable_sslが定義されていないとエラーがでました。
しかし、西山さんから提供していただいたsmpt.rbと入れ替えると、エラーはなく、
送信は完了しました。
どうすれば、認証が通過できるかをチェックする方法も勉強になりました。
ご教示いただいた皆様に厚くお礼申し上げます。